---
lang: en
title: 'API docs: core.lifecycleobserver'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.lifecycleobserver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserver](./core.lifecycleobserver.md)

## LifeCycleObserver interface

Observers to handle life cycle start/stop events

<b>Signature:</b>

```typescript
export interface LifeCycleObserver 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [start()](./core.lifecycleobserver.start.md) | The method to be invoked during <code>start</code> |
|  [stop()](./core.lifecycleobserver.stop.md) | The method to be invoked during <code>stop</code> |


